Package weka.attributeSelection

# Class AttributeSetEvaluator

java.lang.Object
weka.attributeSelection.ASEvaluation
weka.attributeSelection.AttributeSetEvaluator

All Implemented Interfaces:
  `Serializable`, `CapabilitiesHandler`, `RevisionHandler`

public abstract class AttributeSetEvaluator extends ASEvaluation
Abstract attribute set evaluator.

Version:
  $Revision: 1.3 $
Author:
  Zheng Zhao: zhaozheng at asu.edu
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AttributeSetEvaluator()`

## Method Summary

Modifier and Type
Method
Description
`abstract double`
`evaluateAttribute(int attribute)`
evaluates an individual attribute
`abstract double`
`evaluateAttribute(int[] attributes, int[] classAttributes)`
Evaluates a set of attributes

### Methods inherited from class weka.attributeSelection.ASEvaluation

`buildEvaluator, clean, forName, getCapabilities, getRevision, makeCopies, postProcess`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AttributeSetEvaluator

public AttributeSetEvaluator()

## Method Details

### evaluateAttribute

public abstract double evaluateAttribute(int attribute) throws Exception
evaluates an individual attribute

Parameters:
  `attribute` - the index of the attribute to be evaluated
Returns:
  the "merit" of the attribute
Throws:
  `Exception` - if the attribute could not be evaluated

### evaluateAttribute

public abstract double evaluateAttribute(int[] attributes, int[] classAttributes) throws Exception
Evaluates a set of attributes

Parameters:
  `attributes` - an `int[]` value
  `classAttributes` - an `int[]` value
Returns:
  a `double` value
Throws:
  `Exception` - if an error occurs